package sun.security.jgss.spi;

import org.ietf.jgss.Oid;
import org.ietf.jgss.GSSException;
import java.security.Provider;

public interface GSSCredentialSpi
{
    public abstract Provider getProvider();
    
    public abstract void dispose() throws GSSException;
    
    public abstract GSSNameSpi getName() throws GSSException;
    
    public abstract int getInitLifetime() throws GSSException;
    
    public abstract int getAcceptLifetime() throws GSSException;
    
    public abstract boolean isInitiatorCredential() throws GSSException;
    
    public abstract boolean isAcceptorCredential() throws GSSException;
    
    public abstract Oid getMechanism();
    
    public abstract GSSCredentialSpi impersonate(GSSNameSpi p0) throws GSSException;
}
